Kea: isc::agent::AgentParser Class Reference

| Kea 3.0.0

isc::agent::AgentParser Class Reference

A Bison parser. More...

`#include <agent_parser.h>`

## Classes
struct | basic_symbol
| A complete symbol. More...
struct | by_kind
| Type access provider for token (enum) based symbols. More...
class | context
struct | symbol_kind
| Symbol kinds. More...
struct | symbol_type
| "External" symbols: returned by the scanner. More...
struct | syntax_error
| Syntax errors thrown from user actions. More...
struct | token
| Token kinds. More...
class | value_type
| A buffer to store and retrieve objects. More...

## Public Types
typedef by_kind | by_type
| Backward compatibility for a private implementation detail (Bison 3.6).
typedef location | location_type
| Symbol locations.
typedef value_type | semantic_type
| Backward compatibility (Bison 3.8).
typedef symbol_kind::symbol_kind_type | symbol_kind_type
| (Internal) symbol kind.
typedef token::token_kind_type | token_kind_type
| Token kind, as returned by yylex.
typedef token_kind_type | token_type
| Backward compatibility alias (Bison 3.6).

## Public Member Functions
| AgentParser (isc::agent::ParserContext &ctx_yyarg)
| Build a parser object.
virtual | ~AgentParser ()
virtual void | error (const location_type &loc, const std::string &msg)
| Report a syntax error.
void | error (const syntax_error &err)
| Report a syntax error.
int | operator() ()
| Parse.
virtual int | parse ()
| Parse.

## Static Public Member Functions
static symbol_type | make_AGENT_error (const location_type &l)
static symbol_type | make_AGENT_UNDEF (const location_type &l)
static symbol_type | make_AUTHENTICATION (const location_type &l)
static symbol_type | make_BASIC (const location_type &l)
static symbol_type | make_BOOLEAN (const bool &v, const location_type &l)
static symbol_type | make_CERT_FILE (const location_type &l)
static symbol_type | make_CERT_REQUIRED (const location_type &l)
static symbol_type | make_CLIENTS (const location_type &l)
static symbol_type | make_COLON (const location_type &l)
static symbol_type | make_COMMA (const location_type &l)
static symbol_type | make_COMMENT (const location_type &l)
static symbol_type | make_CONTROL_AGENT (const location_type &l)
static symbol_type | make_CONTROL_SOCKETS (const location_type &l)
static symbol_type | make_D2_SERVER (const location_type &l)
static symbol_type | make_DEBUGLEVEL (const location_type &l)
static symbol_type | make_DHCP4_SERVER (const location_type &l)
static symbol_type | make_DHCP6_SERVER (const location_type &l)
static symbol_type | make_DIRECTORY (const location_type &l)
static symbol_type | make_END (const location_type &l)
static symbol_type | make_FLOAT (const double &v, const location_type &l)
static symbol_type | make_FLUSH (const location_type &l)
static symbol_type | make_HOOKS_LIBRARIES (const location_type &l)
static symbol_type | make_HTTP_HEADERS (const location_type &l)
static symbol_type | make_HTTP_HOST (const location_type &l)
static symbol_type | make_HTTP_PORT (const location_type &l)
static symbol_type | make_INTEGER (const int64_t &v, const location_type &l)
static symbol_type | make_KEY_FILE (const location_type &l)
static symbol_type | make_LCURLY_BRACKET (const location_type &l)
static symbol_type | make_LIBRARY (const location_type &l)
static symbol_type | make_LOGGERS (const location_type &l)
static symbol_type | make_LSQUARE_BRACKET (const location_type &l)
static symbol_type | make_MAXSIZE (const location_type &l)
static symbol_type | make_MAXVER (const location_type &l)
static symbol_type | make_NAME (const location_type &l)
static symbol_type | make_NULL_TYPE (const location_type &l)
static symbol_type | make_OUTPUT (const location_type &l)
static symbol_type | make_OUTPUT_OPTIONS (const location_type &l)
static symbol_type | make_PARAMETERS (const location_type &l)
static symbol_type | make_PASSWORD (const location_type &l)
static symbol_type | make_PASSWORD_FILE (const location_type &l)
static symbol_type | make_PATTERN (const location_type &l)
static symbol_type | make_RCURLY_BRACKET (const location_type &l)
static symbol_type | make_REALM (const location_type &l)
static symbol_type | make_RSQUARE_BRACKET (const location_type &l)
static symbol_type | make_SEVERITY (const location_type &l)
static symbol_type | make_SOCKET_NAME (const location_type &l)
static symbol_type | make_SOCKET_TYPE (const location_type &l)
static symbol_type | make_START_AGENT (const location_type &l)
static symbol_type | make_START_JSON (const location_type &l)
static symbol_type | make_START_SUB_AGENT (const location_type &l)
static symbol_type | make_STRING (const std::string &v, const location_type &l)
static symbol_type | make_TRUST_ANCHOR (const location_type &l)
static symbol_type | make_TYPE (const location_type &l)
static symbol_type | make_UNIX (const location_type &l)
static symbol_type | make_USER (const location_type &l)
static symbol_type | make_USER_CONTEXT (const location_type &l)
static symbol_type | make_USER_FILE (const location_type &l)
static symbol_type | make_VALUE (const location_type &l)
static std::string | symbol_name (symbol_kind_type yysymbol)
| The user-facing name of the symbol whose (internal) number is YYSYMBOL.

## Static Public Attributes
static const symbol_kind_type | YYNTOKENS = symbol_kind::YYNTOKENS
| The number of tokens.

## Detailed Description

A Bison parser.

Definition at line 214 of file agent_parser.h.

## Member Typedef Documentation

## ◆ by_type

typedef by_kind isc::agent::AgentParser::by_type

Backward compatibility for a private implementation detail (Bison 3.6).

Definition at line 1034 of file agent_parser.h.

## ◆ location_type

typedef location isc::agent::AgentParser::location_type

Symbol locations.

Definition at line 467 of file agent_parser.h.

## ◆ semantic_type

typedef value_type isc::agent::AgentParser::semantic_type

Backward compatibility (Bison 3.8).

Definition at line 464 of file agent_parser.h.

## ◆ symbol_kind_type

typedef symbol_kind::symbol_kind_type isc::agent::AgentParser::symbol_kind_type

(Internal) symbol kind.

Definition at line 763 of file agent_parser.h.

## ◆ token_kind_type

typedef token::token_kind_type isc::agent::AgentParser::token_kind_type

Token kind, as returned by yylex.

Definition at line 557 of file agent_parser.h.

## ◆ token_type

typedef token_kind_type isc::agent::AgentParser::token_type

Backward compatibility alias (Bison 3.6).

Definition at line 560 of file agent_parser.h.

## Constructor & Destructor Documentation

## ◆ AgentParser()

isc::agent::AgentParser::AgentParser | ( | isc::agent::ParserContext & | ctx_yyarg | ) |

Build a parser object.

Definition at line 152 of file agent_parser.cc.

Referenced by isc::agent::AgentParser::context::context().

## ◆ ~AgentParser()

isc::agent::AgentParser::~AgentParser | ( |  | ) |
| virtual

Definition at line 162 of file agent_parser.cc.

## Member Function Documentation

## ◆ error() [1/2]

void isc::agent::AgentParser::error | ( | const location_type & | loc,
|  | const std::string & | msg )
| virtual

Report a syntax error.

Parameters

  loc | where the syntax error is found.
  msg | a description of the syntax error.

Definition at line 2648 of file agent_parser.cc.

Referenced by error(), and parse().

## ◆ error() [2/2]

void isc::agent::AgentParser::error | ( | const syntax_error & | err | ) |

Report a syntax error.

Definition at line 2068 of file agent_parser.cc.

References error(), and isc::agent::AgentParser::syntax_error::location.

Here is the call graph for this function:

## ◆ make_AGENT_error()

symbol_type isc::agent::AgentParser::make_AGENT_error | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1180 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_AGENT_error.

## ◆ make_AGENT_UNDEF()

symbol_type isc::agent::AgentParser::make_AGENT_UNDEF | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1195 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_AGENT_UNDEF.

## ◆ make_AUTHENTICATION()

symbol_type isc::agent::AgentParser::make_AUTHENTICATION | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1435 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_AUTHENTICATION.

Referenced by while().

## ◆ make_BASIC()

symbol_type isc::agent::AgentParser::make_BASIC | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1465 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_BASIC.

Referenced by while().

## ◆ make_BOOLEAN()

symbol_type isc::agent::AgentParser::make_BOOLEAN | ( | const bool & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 2020 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_BOOLEAN.

Referenced by while().

## ◆ make_CERT_FILE()

symbol_type isc::agent::AgentParser::make_CERT_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1600 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_CERT_FILE.

Referenced by while().

## ◆ make_CERT_REQUIRED()

symbol_type isc::agent::AgentParser::make_CERT_REQUIRED | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1630 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_CERT_REQUIRED.

Referenced by while().

## ◆ make_CLIENTS()

symbol_type isc::agent::AgentParser::make_CLIENTS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1510 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_CLIENTS.

Referenced by while().

## ◆ make_COLON()

symbol_type isc::agent::AgentParser::make_COLON | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1225 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_COLON.

Referenced by while().

## ◆ make_COMMA()

symbol_type isc::agent::AgentParser::make_COMMA | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1210 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_COMMA.

Referenced by while().

## ◆ make_COMMENT()

symbol_type isc::agent::AgentParser::make_COMMENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1390 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_COMMENT.

Referenced by while().

## ◆ make_CONTROL_AGENT()

symbol_type isc::agent::AgentParser::make_CONTROL_AGENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1315 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_CONTROL_AGENT.

Referenced by while().

## ◆ make_CONTROL_SOCKETS()

symbol_type isc::agent::AgentParser::make_CONTROL_SOCKETS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1645 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_CONTROL_SOCKETS.

Referenced by while().

## ◆ make_D2_SERVER()

symbol_type isc::agent::AgentParser::make_D2_SERVER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1690 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_D2_SERVER.

Referenced by while().

## ◆ make_DEBUGLEVEL()

symbol_type isc::agent::AgentParser::make_DEBUGLEVEL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1840 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_DEBUGLEVEL.

Referenced by while().

## ◆ make_DHCP4_SERVER()

symbol_type isc::agent::AgentParser::make_DHCP4_SERVER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1660 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_DHCP4_SERVER.

Referenced by while().

## ◆ make_DHCP6_SERVER()

symbol_type isc::agent::AgentParser::make_DHCP6_SERVER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1675 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_DHCP6_SERVER.

Referenced by while().

## ◆ make_DIRECTORY()

symbol_type isc::agent::AgentParser::make_DIRECTORY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1495 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_DIRECTORY.

Referenced by while().

## ◆ make_END()

symbol_type isc::agent::AgentParser::make_END | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1165 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_END.

Referenced by while().

## ◆ make_FLOAT()

symbol_type isc::agent::AgentParser::make_FLOAT | ( | const double & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 2005 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_FLOAT.

Referenced by while().

## ◆ make_FLUSH()

symbol_type isc::agent::AgentParser::make_FLUSH | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1870 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_FLUSH.

Referenced by while().

## ◆ make_HOOKS_LIBRARIES()

symbol_type isc::agent::AgentParser::make_HOOKS_LIBRARIES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1750 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_HOOKS_LIBRARIES.

Referenced by while().

## ◆ make_HTTP_HEADERS()

symbol_type isc::agent::AgentParser::make_HTTP_HEADERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1360 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_HTTP_HEADERS.

Referenced by while().

## ◆ make_HTTP_HOST()

symbol_type isc::agent::AgentParser::make_HTTP_HOST | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1330 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_HTTP_HOST.

Referenced by while().

## ◆ make_HTTP_PORT()

symbol_type isc::agent::AgentParser::make_HTTP_PORT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1345 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_HTTP_PORT.

Referenced by while().

## ◆ make_INTEGER()

symbol_type isc::agent::AgentParser::make_INTEGER | ( | const int64_t & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 1990 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_INTEGER.

Referenced by while().

## ◆ make_KEY_FILE()

symbol_type isc::agent::AgentParser::make_KEY_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1615 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_KEY_FILE.

Referenced by while().

## ◆ make_LCURLY_BRACKET()

symbol_type isc::agent::AgentParser::make_LCURLY_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1270 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_LCURLY_BRACKET.

Referenced by while().

## ◆ make_LIBRARY()

symbol_type isc::agent::AgentParser::make_LIBRARY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1765 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_LIBRARY.

Referenced by while().

## ◆ make_LOGGERS()

symbol_type isc::agent::AgentParser::make_LOGGERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1795 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_LOGGERS.

Referenced by while().

## ◆ make_LSQUARE_BRACKET()

symbol_type isc::agent::AgentParser::make_LSQUARE_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1240 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_LSQUARE_BRACKET.

Referenced by while().

## ◆ make_MAXSIZE()

symbol_type isc::agent::AgentParser::make_MAXSIZE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1885 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_MAXSIZE.

Referenced by while().

## ◆ make_MAXVER()

symbol_type isc::agent::AgentParser::make_MAXVER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1900 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_MAXVER.

Referenced by while().

## ◆ make_NAME()

symbol_type isc::agent::AgentParser::make_NAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1405 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_NAME.

Referenced by while().

## ◆ make_NULL_TYPE()

symbol_type isc::agent::AgentParser::make_NULL_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1300 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_NULL_TYPE.

Referenced by while().

## ◆ make_OUTPUT()

symbol_type isc::agent::AgentParser::make_OUTPUT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1825 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_OUTPUT.

Referenced by while().

## ◆ make_OUTPUT_OPTIONS()

symbol_type isc::agent::AgentParser::make_OUTPUT_OPTIONS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1810 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_OUTPUT_OPTIONS.

Referenced by while().

## ◆ make_PARAMETERS()

symbol_type isc::agent::AgentParser::make_PARAMETERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1780 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_PARAMETERS.

Referenced by while().

## ◆ make_PASSWORD()

symbol_type isc::agent::AgentParser::make_PASSWORD | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1555 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_PASSWORD.

Referenced by while().

## ◆ make_PASSWORD_FILE()

symbol_type isc::agent::AgentParser::make_PASSWORD_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1570 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_PASSWORD_FILE.

Referenced by while().

## ◆ make_PATTERN()

symbol_type isc::agent::AgentParser::make_PATTERN | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1915 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_PATTERN.

Referenced by while().

## ◆ make_RCURLY_BRACKET()

symbol_type isc::agent::AgentParser::make_RCURLY_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1285 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_RCURLY_BRACKET.

Referenced by while().

## ◆ make_REALM()

symbol_type isc::agent::AgentParser::make_REALM | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1480 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_REALM.

Referenced by while().

## ◆ make_RSQUARE_BRACKET()

symbol_type isc::agent::AgentParser::make_RSQUARE_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1255 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_RSQUARE_BRACKET.

Referenced by while().

## ◆ make_SEVERITY()

symbol_type isc::agent::AgentParser::make_SEVERITY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1855 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_SEVERITY.

Referenced by while().

## ◆ make_SOCKET_NAME()

symbol_type isc::agent::AgentParser::make_SOCKET_NAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1705 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_SOCKET_NAME.

Referenced by while().

## ◆ make_SOCKET_TYPE()

symbol_type isc::agent::AgentParser::make_SOCKET_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1720 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_SOCKET_TYPE.

Referenced by while().

## ◆ make_START_AGENT()

symbol_type isc::agent::AgentParser::make_START_AGENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1945 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_START_AGENT.

Referenced by if().

## ◆ make_START_JSON()

symbol_type isc::agent::AgentParser::make_START_JSON | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1930 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_START_JSON.

Referenced by if().

## ◆ make_START_SUB_AGENT()

symbol_type isc::agent::AgentParser::make_START_SUB_AGENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1960 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_START_SUB_AGENT.

Referenced by if().

## ◆ make_STRING()

symbol_type isc::agent::AgentParser::make_STRING | ( | const std::string & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 1975 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_STRING.

Referenced by while().

## ◆ make_TRUST_ANCHOR()

symbol_type isc::agent::AgentParser::make_TRUST_ANCHOR | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1585 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_TRUST_ANCHOR.

Referenced by while().

## ◆ make_TYPE()

symbol_type isc::agent::AgentParser::make_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1450 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_TYPE.

Referenced by while().

## ◆ make_UNIX()

symbol_type isc::agent::AgentParser::make_UNIX | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1735 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_UNIX.

Referenced by while().

## ◆ make_USER()

symbol_type isc::agent::AgentParser::make_USER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1525 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_USER.

Referenced by while().

## ◆ make_USER_CONTEXT()

symbol_type isc::agent::AgentParser::make_USER_CONTEXT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1375 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_USER_CONTEXT.

Referenced by while().

## ◆ make_USER_FILE()

symbol_type isc::agent::AgentParser::make_USER_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1540 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_USER_FILE.

Referenced by while().

## ◆ make_VALUE()

symbol_type isc::agent::AgentParser::make_VALUE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1420 of file agent_parser.h.

References isc::agent::AgentParser::token::TOKEN_VALUE.

Referenced by while().

## ◆ operator()()

int isc::agent::AgentParser::operator() | ( |  | ) |

Parse.

An alias for parse ().

Returns
  0 iff parsing succeeded.

Definition at line 520 of file agent_parser.cc.

References parse().

Here is the call graph for this function:

## ◆ parse()

int isc::agent::AgentParser::parse | ( |  | ) |
| virtual

Parse.

Returns
  0 iff parsing succeeded.

Length of the RHS of the rule being reduced.

The lookahead symbol.

The locations where the error started and ended.

The return value of parse ().

Definition at line 526 of file agent_parser.cc.

References isc::agent::AgentParser::value_type::as(), isc::agent::AgentParser::basic_symbol< Base >::clear(), isc::agent::AgentParser::value_type::emplace(), isc::agent::AgentParser::basic_symbol< Base >::empty(), error(), isc::agent::AgentParser::by_kind::kind(), isc::agent::AgentParser::by_kind::kind_, isc::agent::AgentParser::basic_symbol< Base >::location, isc::data::merge(), isc::agent::AgentParser::basic_symbol< Base >::move(), isc::agent::AgentParser::symbol_kind::S_auth_type_value, isc::agent::AgentParser::symbol_kind::S_BOOLEAN, isc::agent::AgentParser::symbol_kind::S_FLOAT, isc::agent::AgentParser::symbol_kind::S_INTEGER, isc::agent::AgentParser::symbol_kind::S_map_value, isc::agent::AgentParser::symbol_kind::S_socket_type_value, isc::agent::AgentParser::symbol_kind::S_STRING, isc::agent::AgentParser::symbol_kind::S_value, isc::agent::AgentParser::symbol_kind::S_YYEOF, isc::agent::AgentParser::symbol_kind::S_YYerror, isc::agent::AgentParser::symbol_kind::S_YYUNDEF, isc::agent::AgentParser::basic_symbol< Base >::value, YY_MOVE, YY_REDUCE_PRINT, YY_STACK_PRINT, YY_SYMBOL_PRINT, YYABORT, YYACCEPT, YYCDEBUG, YYERROR, yylex, and YYLLOC_DEFAULT.

Referenced by operator()().

Here is the call graph for this function:

## ◆ symbol_name()

std::string isc::agent::AgentParser::symbol_name | ( | symbol_kind_type | yysymbol | ) |
| static

The user-facing name of the symbol whose (internal) number is YYSYMBOL.

No bounds checking.

Definition at line 2114 of file agent_parser.cc.

Referenced by isc::agent::AgentParser::basic_symbol< by_kind >::name().

## Member Data Documentation

## ◆ YYNTOKENS

const symbol_kind_type isc::agent::AgentParser::YYNTOKENS = symbol_kind::YYNTOKENS
| static

The number of tokens.

Definition at line 766 of file agent_parser.h.

Referenced by isc::agent::AgentParser::context::expected_tokens().

The documentation for this class was generated from the following files:

- agent_parser.h
- agent_parser.cc